import TestPage from '@/views/FormBuilder/components/custom-form/Test.vue';
export const Test = {
  page: TestPage,
  inParam({ data }) {
    const inParamProp: any = {};
    try {
      inParamProp.defaultValue = data.value;
    } catch (e) {
      console.log('TestPage赋值解析错误');
    }
    return inParamProp;
  },
  outParam({ page, data }) {
    const result = page.getData();
    return [
      {
        text: result,
        value: result,
        type: data.type,
      },
    ];
  },
};
